Main Page Modules Namespace List Data Structures File List Data Fields Examples

# Node List
[DOM]

## Data Structures
struct | _dom_node_list
struct | _dom_node_list_node
## Typedefs
typedef _dom_node_list_node | DOM_NODE_LIST_NODE
typedef _dom_node_list | DOM_NODE_LIST
## Functions
DOM_NODE_LIST * | domNodeListNew ()
void | domNodeListDestroy (DOM_NODE_LIST *nodeList)
void | domNodeListAddNode (DOM_NODE_LIST *nodeList, DOM_NODE *node)
void | domNodeListRemoveNode (DOM_NODE_LIST *nodeList, DOM_NODE *node)
unsigned long | domNodeListGetNumEntries (DOM_NODE_LIST *nodeList)
DOM_NODE_LIST_NODE * | domNodeListGetFirstNode (DOM_NODE_LIST *nodeList)

## Detailed Description

DOM Node list container.

## Typedef Documentation

typedef struct _dom_node_list DOM_NODE_LIST

| List of DOM Node List 'nodes'

typedef struct _dom_node_list_node DOM_NODE_LIST_NODE

| DOM Node List 'node'

## Function Documentation

void domNodeListAddNode | ( | DOM_NODE_LIST * | nodeList,
|  | DOM_NODE * | node
| ) |

  | Adds a node to a node list. Parameters:
  nodeList | [in] The node list context.
  node | [in] The node to be added.

void domNodeListDestroy | ( | DOM_NODE_LIST * | nodeList | ) |

  | Destroys a node list. Parameters:
  nodeList | [in] The node list to be destroyed.

DOM_NODE_LIST_NODE* domNodeListGetFirstNode | ( | DOM_NODE_LIST * | nodeList | ) |

  | Get the first node list node in the node list. Parameters:
  nodeList | [in] The node list context.
Returns: A valid node list node will be returned if any nodes are in the list. Otherwise, NULL is returned.

unsigned long domNodeListGetNumEntries | ( | DOM_NODE_LIST * | nodeList | ) |

  | Get the number of nodes in the list. Parameters:
  nodeList | [in] The node list context.
Returns: The number of nodes in the list.

DOM_NODE_LIST* domNodeListNew | ( |  | ) |

| Constructs an empty node list. Returns: On success, an empty node list is returned. Otherwise, NULL is returned.

void domNodeListRemoveNode | ( | DOM_NODE_LIST * | nodeList,
|  | DOM_NODE * | node
| ) |

  | Removes a node from a node list. Parameters:
  nodeList | [in] The node list context.
  node | [in] The node to be removed.